EDIT - feature request #6128

Include authorship in taxon search web service
10/16/2016 09:30 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal

Description

/portal/taxon/find?doTaxaByCommonNames=1&doMisappliedNames=1&doSynonyms=1&doTaxa=1&pageNumber=0&pageSize=10
&query={query-string}

http://api.cybertaxonomy.org/edaphobase/portal/taxon/find.json?query=Acha*Vejd*&doTaxa=true&doSynonyms=true&doMisapplied
Names=true&doTaxaByCommonNames=true&pageNumber=0&pageSize=10&order=LENGTH_ALPHA_TITLE&includeAuthors=true

/name_catalogue?query={query-string}&type=name&hits=5

¢ Bei einem Namen incl. Autorenschaft schlagt das fehl : #6518

Related issues:
Precedes EDIT - feature request #9575: Allow flag to include authors in taxon... Closed
Copied to EDIT - bug #6236: Add alphabetic length ordering in name search Closed

Associated revisions

Revision 05¢87b75 - 12/02/2016 10:11 AM - Andreas Miuller

fix #6128 include authorship option in taxon and name search

Revision 39811603 - 12/02/2016 04:49 PM - Andreas Miiller
ref #6128 fix null value bug for includeAuthorship

History

#1 - 10/16/2016 09:31 PM - Andreas Miiller
- Category set to cdmlib-remote

- Target version changed from Unassigned CDM tickets to Release 4.4

#2 - 10/19/2016 06:48 PM - Andreas Miuller

SL: Bis jetzt haben wir einfach angenommen, dass alles, was angezeigt wird, auch durchsuchbar ist. Wir brauchen diese Funktion auf jeden Fall,
wenn Beobachtungen importiert werden sollen. Fir die direkte Ausgabe miissen wir hier nochmal rumfragen, was gewiinscht ist.

AM: Verstehe ich das richtig, dass die Suche dann auf dem Gesamtstring laufen soll?

Das hieB3e dann z.B., dass die Suche nach ,Paractinolaimus minor kein Ergebnis liefern wiirde, sondern nur die nach ,Paractinolaimus minor* bzw.
nach ,Paractinolaimus minor Vinciguerra & de Francisci®. Wobei ihr das mit dem MatchMode ja auch selbst steuern kénnt. Und wie ist es mit der
Jahreszahl? Soll die auch mit rein? Wenn nicht, kénnte das evtl. Schwierigkeiten bei exakten Matches machen, da wir lediglich ein Feld mit nur dem
Namen und ein Feld mit Namen, Autor und Jahreszahl haben. Bei MatchMode BEGINNING wére das dann aber natirlich kein Problem.

ik

SL: Ja. Wir suchen dann wenn nétig mit Platzhalter. Damit ist alles zur Autorenschaft gemeint, auch die Jahreszahl.

#3 - 10/19/2016 06:57 PM - Andreas Miiller

- Description updated

#4 - 12/01/2016 02:25 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5
https://dev.e-taxonomy.eu/redmine/issues/6236
http://api.cybertaxonomy.org/edaphobase/portal/taxon/find.json?query=Acha*Vejd*&doTaxa=true&doSynonyms=true&doMisappliedNames=true&doTaxaByCommonNames=true&pageNumber=0&pageSize=10&order=LENGTH_ALPHA_TITLE&includeAuthors=true
http://api.cybertaxonomy.org/edaphobase/portal/taxon/find.json?query=Acha*Vejd*&doTaxa=true&doSynonyms=true&doMisappliedNames=true&doTaxaByCommonNames=true&pageNumber=0&pageSize=10&order=LENGTH_ALPHA_TITLE&includeAuthors=true

#5 - 12/02/2016 10:14 AM - Andreas Miiller
- Related to bug #6236: Add alphabetic length ordering in name search added

#6 - 12/02/2016 10:14 AM - Andreas Miiller

- Related to deleted (bug #6236: Add alphabetic length ordering in name search)

#7 - 12/02/2016 10:15 AM - Andreas Miiller
- Copied to bug #6236: Add alphabetic length ordering in name search added

#8 - 12/02/2016 10:16 AM - Andreas Miiller

- Description updated

#9 - 12/02/2016 10:16 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|05¢c87b7501b0737b129f4fb5769b56b4c135009¢.

#10 - 12/02/2016 04:50 PM - Andreas Miiller
- % Done changed from 50 to 80

#11 - 12/29/2016 10:28 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.4

#12 - 03/15/2017 07:36 PM - Andreas Miiller

- Description updated

#13 - 03/15/2017 07:40 PM - Andreas Miiller

- Description updated

#14 - 03/15/2017 07:45 PM - Andreas Miiller
- Tracker changed from bug to feature request

- % Done changed from 80 to 90

#15 - 03/15/2017 07:46 PM - Andreas Miiller

- Description updated

#16 - 03/15/2017 07:46 PM - Andreas Miiller

- Description updated

#17 - 03/15/2017 07:52 PM - Andreas Miiller
- Description updated

- Status changed from Resolved to Closed

Moved remaining issue to open minor issues: #6518

#19 - 03/15/2017 07:52 PM - Andreas Miiller
- % Done changed from 90 to 100

#22 - 03/31/2021 12:19 PM - Andreas Miiller

- Precedes feature request #9575: Allow flag to include authors in taxon and name search in TaxEditor added
